- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::DistSCMatrixKit Class Reference

The DistSCMatrixKit produces matrices that work in a many processor environment. More...

`#include <dist.h>`

Inheritance diagram for sc::DistSCMatrixKit:

List of all members.

## Public Member Functions
| DistSCMatrixKit (const Ref< MessageGrp > &grp=0)
| DistSCMatrixKit (const Ref< KeyVal > &)
SCMatrix * | matrix (const RefSCDimension &, const RefSCDimension &)
| Given the dimensions, create matrices or vectors.
SymmSCMatrix * | symmmatrix (const RefSCDimension &)
DiagSCMatrix * | diagmatrix (const RefSCDimension &)
SCVector * | vector (const RefSCDimension &)

## Detailed Description

The DistSCMatrixKit produces matrices that work in a many processor environment.

The matrix is distributed across all nodes.

The documentation for this class was generated from the following file:

- dist.h